Bug 867282

Summary: Review Request: glite-jobid-api-c - C library handling gLite jobid
Product: [Fedora] Fedora Reporter: František Dvořák <valtri>
Component: Package ReviewAssignee: Mattias Ellert <mattias.ellert>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: mattias.ellert, notting, package-review
Target Milestone: ---Flags: mattias.ellert: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: glite-jobid-api-c-2.2.9-1.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-13 02:34:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 867287    

Description František Dvořák 2012-10-17 04:31:48 EDT
Spec URL: http://scientific.zcu.cz/fedora/glite-jobid-api-c-2.2.3-1/glite-jobid-api-c.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-jobid-api-c-2.2.3-1/glite-jobid-api-c-2.2.3-1.fc19.src.rpm
Description: C library handling gLite jobid
Fedora Account System Username: valtri

Additional notes:
- I'm upstream maintainer
- I don't have a sponsor yet
- koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4597889
Comment 1 Mattias Ellert 2013-05-01 04:13:57 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Sources used to build the package does not match the upstream source, as
  provided in the spec URL.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: %build honors applicable compiler flags or justifies otherwise.

%{optflags} and %{__global_ldflags} not propagated to gcc.

[!]: Package contains no bundled libraries without FPC exception.

There are bundled files form openssl's crypto library:
md32_common.h  md5_dgst.c  md5.h  md5_locl.h

[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines

There is bundled code from libcrypto, which violates the no bundling
guideline.

[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

There is no license file in the sourecs. 

[!]: License field in the package spec file matches the actual license.

The bundled files from libcrypto has addidtional license informtion
which is not reflected in the specfile.

[-]: License file installed when any subpackage combination is installed.
[!]: Package consistently uses macro is (instead of hard-coded directory
     names).

--prefix=%{_prefix} would be better than --prefix=/usr

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

See below.

===== SHOULD items =====

Generic:
[?]: Uses parallel make.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

The packager is upstream, so querying would be simple.

[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.

Latest EMI version is 2.2.8

[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: glite-jobid-api-c-2.2.3-1.fc20.x86_64.rpm
          glite-jobid-api-c-devel-2.2.3-1.fc20.x86_64.rpm
glite-jobid-api-c.x86_64: W: no-documentation
glite-jobid-api-c-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glite-jobid-api-c-devel glite-jobid-api-c
glite-jobid-api-c-devel.x86_64: W: no-documentation
glite-jobid-api-c.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
glite-jobid-api-c-devel (rpmlib, GLIBC filtered):
    glite-jobid-api-c(x86-64)
    libglite_jobid.so.2()(64bit)

glite-jobid-api-c (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
glite-jobid-api-c-devel:
    glite-jobid-api-c-devel
    glite-jobid-api-c-devel(x86-64)

glite-jobid-api-c:
    glite-jobid-api-c
    glite-jobid-api-c(x86-64)
    libglite_jobid.so.2()(64bit)



Source checksums
----------------
http://scientific.zcu.cz/emi/emi.jobid.api-c/glite-jobid-api-c-2.2.3.tar.gz :
  CHECKSUM(SHA256) this package     : 8d8c928d80dcd91305ab443a0f6c37098d5801914fdfc03009fc9031ecac7d47
  CHECKSUM(SHA256) upstream package : 9fbb07420961cfb1ef6c69d532a44021e2dd4871539bbbfb6a1ee553e0d10bb0
diff -r also reports differences


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 867282 -m fedora-rawhide-x86_64
Comment 2 František Dvořák 2013-05-02 14:07:35 EDT
Spec URL: http://scientific.zcu.cz/fedora/glite-jobid-api-c-2.2.9-1/glite-jobid-api-c.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-jobid-api-c-2.2.9-1/glite-jobid-api-c-2.2.9-1.fc20.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5325861

Thank you for the review. This is the new version of package.

Bundled library libcrypto has been removed (and using external libcrypto instead), other issues has been fixed (build flags, macros, LICENSE).
Comment 3 Mattias Ellert 2013-05-13 10:07:26 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see below).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see below).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see below).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: glite-jobid-api-c-2.2.9-1.fc20.x86_64.rpm
          glite-jobid-api-c-devel-2.2.9-1.fc20.x86_64.rpm
glite-jobid-api-c-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glite-jobid-api-c-devel glite-jobid-api-c
glite-jobid-api-c-devel.x86_64: W: no-documentation
glite-jobid-api-c.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
glite-jobid-api-c-devel (rpmlib, GLIBC filtered):
    glite-jobid-api-c(x86-64)
    libglite_jobid.so.2()(64bit)

glite-jobid-api-c (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    rtld(GNU_HASH)



Provides
--------
glite-jobid-api-c-devel:
    glite-jobid-api-c-devel
    glite-jobid-api-c-devel(x86-64)

glite-jobid-api-c:
    glite-jobid-api-c
    glite-jobid-api-c(x86-64)
    libglite_jobid.so.2()(64bit)



Source checksums
----------------
http://scientific.zcu.cz/emi/emi.jobid.api-c/glite-jobid-api-c-2.2.9.tar.gz :
  CHECKSUM(SHA256) this package     : ce3b40bc4cb3c8fb8aaa91a9ec28f0cbb85937d8d9b8d71c47813bc47fe3ea19
  CHECKSUM(SHA256) upstream package : ce3b40bc4cb3c8fb8aaa91a9ec28f0cbb85937d8d9b8d71c47813bc47fe3ea19


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 867282 -m fedora-rawhide-x86_64


PACKAGE APPROVED
Comment 4 František Dvořák 2013-05-21 06:36:32 EDT
New Package SCM Request
=======================
Package Name: glite-jobid-api-c
Short Description: C library handling gLite jobid
Owners: valtri
Branches: f18 f19 el6
InitialCC:
Comment 5 Jon Ciesla 2013-05-21 07:04:07 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-05-21 15:55:49 EDT
glite-jobid-api-c-2.2.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glite-jobid-api-c-2.2.9-1.fc19
Comment 7 Fedora Update System 2013-05-21 15:57:19 EDT
glite-jobid-api-c-2.2.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/glite-jobid-api-c-2.2.9-1.fc18
Comment 8 Fedora Update System 2013-05-21 15:58:35 EDT
glite-jobid-api-c-2.2.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glite-jobid-api-c-2.2.9-1.el6
Comment 9 Fedora Update System 2013-05-22 18:36:49 EDT
glite-jobid-api-c-2.2.9-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-06-13 02:34:37 EDT
glite-jobid-api-c-2.2.9-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-06-13 18:29:22 EDT
glite-jobid-api-c-2.2.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 12 Fedora Update System 2013-06-13 22:31:33 EDT
glite-jobid-api-c-2.2.9-1.fc18 has been pushed to the Fedora 18 stable repository.